import { OnInit, EventEmitter } from '@angular/core';
import { Column } from '../../../../models/Column.model';
import { Configs } from '../../../../models/Configs.model';
import { Store } from '../../../../store/store';
import * as i0 from "@angular/core";
export declare class TreeHeadComponent implements OnInit {
    store: Store;
    columns: Column[];
    configs: Configs;
    internal_configs: any;
    sortcolumn: EventEmitter<any>;
    show_add_row: boolean;
    rowselectall: EventEmitter<any>;
    rowdeselectall: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    addRow(): void;
    sortColumn(column: any): void;
    selectAll(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeHeadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TreeHeadComponent, "[db-tree-head]", never, { "store": { "alias": "store"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "configs": { "alias": "configs"; "required": false; }; "internal_configs": { "alias": "internal_configs"; "required": false; }; "rowselectall": { "alias": "rowselectall"; "required": false; }; "rowdeselectall": { "alias": "rowdeselectall"; "required": false; }; }, { "sortcolumn": "sortcolumn"; }, never, never, false, never>;
}
//# sourceMappingURL=tree-head.component.d.ts.map